apiVersion: v1
kind: Pod
metadata:
  annotations:
    app.quarkus.io/build-timestamp: 2022-04-11 - 14:33:48 +0000
    app.quarkus.io/commit-id: e1dd85f260ffac9d376fa8481a11e5ffd311c1ee
    discovery.3scale.net/description-path: /q/openapi?format=json
    discovery.3scale.net/port: "80"
    discovery.3scale.net/scheme: http
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.130.1.174"
          ],
          "default": true,
          "dns": {}
      },{
          "name": "membersapp-mesh/v2-1-istio-cni",
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks: v2-1-istio-cni
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.130.1.174"
          ],
          "default": true,
          "dns": {}
      },{
          "name": "membersapp-mesh/v2-1-istio-cni",
          "dns": {}
      }]
    kubectl.kubernetes.io/default-logs-container: membersdemov2
    openshift.io/scc: restricted
    prometheus.io/path: /stats/prometheus
    prometheus.io/port: "15020"
    prometheus.io/scheme: http
    prometheus.io/scrape: "true"
    sidecar.istio.io/inject: "true"
    sidecar.istio.io/interceptionMode: REDIRECT
    sidecar.istio.io/status: '{"initContainers":null,"containers":["istio-proxy"],"volumes":["istio-envoy","istio-data","istio-podinfo","istiod-ca-cert"],"imagePullSecrets":null}'
    traffic.sidecar.istio.io/excludeInboundPorts: 15090,15021
    traffic.sidecar.istio.io/includeInboundPorts: '*'
    traffic.sidecar.istio.io/includeOutboundIPRanges: '*'
  creationTimestamp: "2022-04-11T17:44:35Z"
  generateName: membersdemov2-8595c95899-
  labels:
    app: members
    app.kubernetes.io/name: membersdemov2
    app.kubernetes.io/version: "1.0"
    app.openshift.io/runtime: quarkus
    discovery.3scale.net: "true"
    istio.io/rev: basic
    maistra-version: 2.1.2
    pod-template-hash: 8595c95899
    security.istio.io/tlsMode: istio
    service.istio.io/canonical-name: membersdemov2
    service.istio.io/canonical-revision: "1.0"
    version: v2
  name: membersdemov2-8595c95899-l4szn
  namespace: membersapp-mesh
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: membersdemov2-8595c95899
    uid: 5bb23de7-39d0-49bf-a6fe-e06bec159e1b
  resourceVersion: "29789939"
  uid: d98d1848-c659-4d8c-920d-31ec02bd262c
spec:
  containers:
  - env:
    - name: QUARKUS_HOME
      value: /home/quarkus/
    - name: QUARKUS_OPTS
      value: -Dquarkus.http.host=0.0.0.0
    - name: QUARKUS_DATASOURCE_PASSWORD
      valueFrom:
        configMapKeyRef:
          key: quarkus.datasource.password
          name: member-config
    - name: QUARKUS_DATASOURCE_USERNAME
      valueFrom:
        configMapKeyRef:
          key: quarkus.datasource.username
          name: member-config
    - name: QUARKUS_DATASOURCE_JDBC_URL
      valueFrom:
        configMapKeyRef:
          key: quarkus.datasource.jdbc.url
          name: member-config
    - name: QUARKUS_HIBERNATE_ORM_DATABASE_GENERATION
      valueFrom:
        configMapKeyRef:
          key: quarkus.hibernate-orm.database.generation
          name: member-config
    image: image-registry.openshift-image-registry.svc:5000/membersapp-mesh/membersdemov2:1.0
    imagePullPolicy: Always
    livenessProbe:
      failureThreshold: 3
      httpGet:
        path: /app-health/membersdemov2/livez
        port: 15020
        scheme: HTTP
      periodSeconds: 30
      successThreshold: 1
      timeoutSeconds: 10
    name: membersdemov2
    ports:
    - containerPort: 8080
      name: http
      protocol: TCP
    readinessProbe:
      failureThreshold: 3
      httpGet:
        path: /app-health/membersdemov2/readyz
        port: 15020
        scheme: HTTP
      periodSeconds: 30
      successThreshold: 1
      timeoutSeconds: 10
    resources: {}
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000760000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-vxt78
      readOnly: true
  - args:
    - proxy
    - sidecar
    - --domain
    - $(POD_NAMESPACE).svc.cluster.local
    - --serviceCluster
    - members.$(POD_NAMESPACE)
    - --proxyLogLevel=warning
    - --proxyComponentLogLevel=misc:error
    - --log_output_level=default:warn
    - --concurrency
    - "2"
    env:
    - name: JWT_POLICY
      value: first-party-jwt
    - name: PILOT_CERT_PROVIDER
      value: istiod
    - name: CA_ADDR
      value: istiod-basic.istio-system.svc:15012
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: POD_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: INSTANCE_IP
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.podIP
    - name: SERVICE_ACCOUNT
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.serviceAccountName
    - name: HOST_IP
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: status.hostIP
    - name: CANONICAL_SERVICE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.labels['service.istio.io/canonical-name']
    - name: CANONICAL_REVISION
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.labels['service.istio.io/canonical-revision']
    - name: PROXY_CONFIG
      value: |
        {"discoveryAddress":"istiod-basic.istio-system.svc:15012","tracing":{"zipkin":{"address":"jaeger-collector.istio-system.svc:9411"}},"proxyMetadata":{"ISTIO_META_DNS_AUTO_ALLOCATE":"true","ISTIO_META_DNS_CAPTURE":"true","PROXY_XDS_VIA_AGENT":"true"}}
    - name: ISTIO_META_POD_PORTS
      value: |-
        [
            {"name":"http","containerPort":8080,"protocol":"TCP"}
        ]
    - name: ISTIO_META_APP_CONTAINERS
      value: membersdemov2
    - name: ISTIO_META_CLUSTER_ID
      value: Kubernetes
    - name: ISTIO_META_INTERCEPTION_MODE
      value: REDIRECT
    - name: ISTIO_METAJSON_ANNOTATIONS
      value: |
        {"app.quarkus.io/build-timestamp":"2022-04-11 - 14:33:48 +0000","app.quarkus.io/commit-id":"e1dd85f260ffac9d376fa8481a11e5ffd311c1ee","discovery.3scale.net/description-path":"/q/openapi?format=json","discovery.3scale.net/port":"80","discovery.3scale.net/scheme":"http","openshift.io/scc":"restricted","prometheus.io/path":"/q/metrics","prometheus.io/port":"8080","prometheus.io/scheme":"http","prometheus.io/scrape":"true","sidecar.istio.io/inject":"true"}
    - name: ISTIO_META_WORKLOAD_NAME
      value: membersdemov2
    - name: ISTIO_META_OWNER
      value: kubernetes://apis/apps/v1/namespaces/membersapp-mesh/deployments/membersdemov2
    - name: ISTIO_META_MESH_ID
      value: cluster.local
    - name: TRUST_DOMAIN
      value: cluster.local
    - name: ISTIO_META_DNS_AUTO_ALLOCATE
      value: "true"
    - name: ISTIO_META_DNS_CAPTURE
      value: "true"
    - name: PROXY_XDS_VIA_AGENT
      value: "true"
    - name: ISTIO_PROMETHEUS_ANNOTATIONS
      value: '{"scrape":"true","path":"/q/metrics","port":"8080"}'
    - name: ISTIO_KUBE_APP_PROBERS
      value: '{"/app-health/membersdemov2/livez":{"httpGet":{"path":"/q/health/live","port":8080,"scheme":"HTTP"},"timeoutSeconds":10},"/app-health/membersdemov2/readyz":{"httpGet":{"path":"/q/health/ready","port":8080,"scheme":"HTTP"},"timeoutSeconds":10}}'
    image: registry.redhat.io/openshift-service-mesh/proxyv2-rhel8@sha256:1d0b1923f82a06c1c318cb73bee362eaf396b66205e541509f36bea90a7a12aa
    imagePullPolicy: Always
    name: istio-proxy
    ports:
    - containerPort: 15090
      name: http-envoy-prom
      protocol: TCP
    readinessProbe:
      failureThreshold: 30
      httpGet:
        path: /healthz/ready
        port: 15021
        scheme: HTTP
      initialDelaySeconds: 1
      periodSeconds: 2
      successThreshold: 1
      timeoutSeconds: 3
    resources:
      limits:
        cpu: "2"
        memory: 1Gi
      requests:
        cpu: 10m
        memory: 128Mi
    securityContext:
      allowPrivilegeEscalation: false
      capabilities:
        drop:
        - ALL
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      privileged: false
      readOnlyRootFilesystem: true
      runAsGroup: 1000760001
      runAsNonRoot: true
      runAsUser: 1000760001
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/secrets/istio
      name: istiod-ca-cert
    - mountPath: /var/lib/istio/data
      name: istio-data
    - mountPath: /etc/istio/proxy
      name: istio-envoy
    - mountPath: /etc/istio/pod
      name: istio-podinfo
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-vxt78
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: default-dockercfg-nbd8g
  nodeName: coffee-pjhm4-master-0
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000760000
    seLinuxOptions:
      level: s0:c28,c2
  serviceAccount: default
  serviceAccountName: default
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - emptyDir:
      medium: Memory
    name: istio-envoy
  - emptyDir: {}
    name: istio-data
  - downwardAPI:
      defaultMode: 420
      items:
      - fieldRef:
          apiVersion: v1
          fieldPath: metadata.labels
        path: labels
      - fieldRef:
          apiVersion: v1
          fieldPath: metadata.annotations
        path: annotations
      - path: cpu-limit
        resourceFieldRef:
          containerName: istio-proxy
          divisor: 1m
          resource: limits.cpu
      - path: cpu-request
        resourceFieldRef:
          containerName: istio-proxy
          divisor: 1m
          resource: requests.cpu
    name: istio-podinfo
  - configMap:
      defaultMode: 420
      name: istio-ca-root-cert
    name: istiod-ca-cert
  - name: kube-api-access-vxt78
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2022-04-11T17:44:35Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2022-04-26T18:53:42Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2022-04-26T18:53:42Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2022-04-11T17:44:35Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://35d72b1dffbbdf27b1b3e7a7db1c687c0dd4c5654e09f74658ab0f81ab7414f9
    image: registry.redhat.io/openshift-service-mesh/proxyv2-rhel8@sha256:1d0b1923f82a06c1c318cb73bee362eaf396b66205e541509f36bea90a7a12aa
    imageID: registry.redhat.io/openshift-service-mesh/proxyv2-rhel8@sha256:021dd44c0e2909e0a61d7e3c2153c6227d52882cc70a41d7c99c53190d7b1ed1
    lastState: {}
    name: istio-proxy
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2022-04-11T17:44:41Z"
  - containerID: cri-o://6155ea1e8b42bb06bccf51aae7f343c9e268780abd0fb430921e9ad99bc33b40
    image: image-registry.openshift-image-registry.svc:5000/membersapp-mesh/membersdemov2:1.0
    imageID: image-registry.openshift-image-registry.svc:5000/membersapp-mesh/membersdemov2@sha256:e4cb0232e73f8f43c75fbf8a67b47f02fe0984c5d392359a917402d0cd3518ea
    lastState:
      terminated:
        containerID: cri-o://b3954887d9f5069e284290f6c1e78285e1aaa8584e8242a0e00cea42d748e990
        exitCode: 143
        finishedAt: "2022-04-26T18:53:00Z"
        reason: Error
        startedAt: "2022-04-26T11:51:16Z"
    name: membersdemov2
    ready: true
    restartCount: 5
    started: true
    state:
      running:
        startedAt: "2022-04-26T18:53:41Z"
  hostIP: 10.50.2.53
  phase: Running
  podIP: 10.130.1.174
  podIPs:
  - ip: 10.130.1.174
  qosClass: Burstable
  startTime: "2022-04-11T17:44:35Z"
